GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/arm-wince-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "gdbcore.h"`
`#include "target.h"`
`#include "frame.h"`
`#include "arch/arm.h"`
`#include "arm-tdep.h"`
`#include "windows-tdep.h"`

Go to the source code of this file.

## Macros
#define | ARM_WINCE_JB_ELEMENT_SIZE INT_REGISTER_SIZE
#define | ARM_WINCE_JB_PC 10
#define | sign_extend(V, N) (((long) (V) ^ (1L << ((N) - 1))) - (1L << ((N) - 1)))

## Functions
static CORE_ADDR | arm_pe_skip_trampoline_code (struct frame_info *frame, CORE_ADDR pc)
static CORE_ADDR | arm_wince_skip_main_prologue (struct gdbarch *gdbarch, CORE_ADDR pc)
static void | arm_wince_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | arm_wince_osabi_sniffer (bfd *abfd)
void | _initialize_arm_wince_tdep (void)

## Variables
static const gdb_byte | arm_wince_le_breakpoint [] = { 0x10, 0x00, 0x00, 0xe6 }
static const gdb_byte | arm_wince_thumb_le_breakpoint [] = { 0xfe, 0xdf }

## Macro Definition Documentation

## ◆ ARM_WINCE_JB_ELEMENT_SIZE

#define ARM_WINCE_JB_ELEMENT_SIZE INT_REGISTER_SIZE

Definition at line 35 of file arm-wince-tdep.c.

Referenced by arm_wince_init_abi().

## ◆ ARM_WINCE_JB_PC

#define ARM_WINCE_JB_PC 10

Definition at line 36 of file arm-wince-tdep.c.

Referenced by arm_wince_init_abi().

## ◆ sign_extend

#define sign_extend | ( |  | V,
|  |  | N
| ) |  | (((long) (V) ^ (1L << ((N) - 1))) - (1L << ((N) - 1)))

Referenced by arm_wince_skip_main_prologue().

## Function Documentation

## ◆ _initialize_arm_wince_tdep()

void _initialize_arm_wince_tdep | ( | void |  | ) |

Definition at line 158 of file arm-wince-tdep.c.

References arm_wince_init_abi(), arm_wince_osabi_sniffer(), GDB_OSABI_WINCE, gdbarch_register_osabi(), and gdbarch_register_osabi_sniffer().

## ◆ arm_pe_skip_trampoline_code()

static CORE_ADDR arm_pe_skip_trampoline_code | ( | struct frame_info * | frame,
|  | CORE_ADDR | pc
| ) |  |
| static

Definition at line 39 of file arm-wince-tdep.c.

References arm_skip_stub(), gdbarch::byte_order, gdbarch_byte_order(), get_frame_arch(), lookup_minimal_symbol_by_pc(), bound_minimal_symbol::minsym, MSYMBOL_LINKAGE_NAME, read_memory_unsigned_integer(), and startswith().

Referenced by arm_wince_init_abi().

## ◆ arm_wince_init_abi()

static void arm_wince_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 116 of file arm-wince-tdep.c.

References gdbarch_tdep::arm_breakpoint, gdbarch_tdep::arm_breakpoint_size, ARM_FLOAT_SOFT_VFP, arm_pe_skip_trampoline_code(), arm_software_single_step(), ARM_WINCE_JB_ELEMENT_SIZE, ARM_WINCE_JB_PC, arm_wince_le_breakpoint, arm_wince_skip_main_prologue(), arm_wince_thumb_le_breakpoint, gdbarch_tdep::fp_model, gdbarch_tdep(), gdbarch_tdep::jb_elt_size, gdbarch_tdep::jb_pc, pcc_struct_return, set_gdbarch_char_signed(), set_gdbarch_skip_main_prologue(), set_gdbarch_skip_trampoline_code(), set_gdbarch_software_single_step(), gdbarch_tdep::struct_return, gdbarch_tdep::thumb_breakpoint, gdbarch_tdep::thumb_breakpoint_size, and windows_init_abi().

Referenced by _initialize_arm_wince_tdep().

## ◆ arm_wince_osabi_sniffer()

static enum gdb_osabi arm_wince_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 147 of file arm-wince-tdep.c.

References GDB_OSABI_UNKNOWN, GDB_OSABI_WINCE, and target_name.

Referenced by _initialize_arm_wince_tdep().

## ◆ arm_wince_skip_main_prologue()

static CORE_ADDR arm_wince_skip_main_prologue | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | pc
| ) |  |
| static

Definition at line 89 of file arm-wince-tdep.c.

References gdbarch_byte_order(), lookup_minimal_symbol_by_pc(), bound_minimal_symbol::minsym, MSYMBOL_LINKAGE_NAME, offset, read_memory_unsigned_integer(), and sign_extend.

Referenced by arm_wince_init_abi().

## Variable Documentation

## ◆ arm_wince_le_breakpoint

const gdb_byte arm_wince_le_breakpoint[] = { 0x10, 0x00, 0x00, 0xe6 }
| static

Definition at line 31 of file arm-wince-tdep.c.

Referenced by arm_wince_init_abi().

## ◆ arm_wince_thumb_le_breakpoint

const gdb_byte arm_wince_thumb_le_breakpoint[] = { 0xfe, 0xdf }
| static

Definition at line 32 of file arm-wince-tdep.c.

Referenced by arm_wince_init_abi().